/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

#ifdef KO

#include "extern.h"

static U_DEFINE_STACK (procs, Node*, 10)

ko_main ()
{
	int i, num;
	Node *statement_list, *statement, *temp;

	for (i = 0; i < procs_top; i++) {
		printf ("--------------------------------------------------------------\n");
		printf ("\n**** PRETTY-PRINT for procedure %d:\n\n", i + 1);

		statement_list = list_invert (procs [i]->ProgramUnit.SpecificationPartBlock);

		num = 0;
		for (LIST_LOOP (statement, statement_list, temp))
			if (statement != (Node*) 0) {
				printf ("STATEMENT %d:\n\n", ++num);
				tree_pp (statement);
				printf ("\n");
			}
	}
}

ko_add (unit)
Node *unit;
{
	U_stack_push_procs (unit);
}

#endif
